Information about expense uploads

Returns information on the specified upload of advertising expenses.

Request

GET

https://api-metrika.yandex.net/management/v1/counter/{counterId}/expense/uploading/{uploadingId}

Path parameters

Name

Description

counterId

Type: integer

ID of the counter for which you want to get information about an expense upload.

uploadingId

Type: integer

ID of the upload whose details you want to get. The ID is available when the file with costs is uploaded.

Responses

200 OK

OK

Body

application/json
{
  "uploading": {
    "id": 0,
    "create_time": "2025-01-01T00:00:00Z",
    "source_quantity": 0,
    "provider": "example",
    "comment": "example",
    "type": "example",
    "status": "example"
  }
}

Name

Description

uploading

Type: ExpenseUploading

Information about expense uploads.

Example
{
  "id": 0,
  "create_time": "2025-01-01T00:00:00Z",
  "source_quantity": 0,
  "provider": "example",
  "comment": "example",
  "type": "example",
  "status": "example"
}

ExpenseUploading

Information about expense uploads.

Name

Description

comment

Type: string

Comment.

Example: example

create_time

Type: string<date-time>

Upload time.

Example: 2025-01-01T00:00:00Z

id

Type: integer

Upload ID.

provider

Type: string

Data provider name.

Example: example

source_quantity

Type: integer

Number of rows in the source file.

status

Type: string

Upload status:

  • UPLOADED: Upload complete.
  • IN_PROGRESS: Upload in progress.
  • PROCESSED: Upload processed.

Example: example

type

Type: string

Upload type:

  • EXPENSES: Expenses.
  • REMOVES: Deleting expenses.

Example: example

Example
{
  "id": 0,
  "create_time": "2025-01-01T00:00:00Z",
  "source_quantity": 0,
  "provider": "example",
  "comment": "example",
  "type": "example",
  "status": "example"
}